## md2term 0.0.7

=== Makefile ===
PREFIX ?= /usr
MANDIR ?= $(PREFIX)/share/man
SHAREDIR ?= $(PREFIX)/share

all:
	echo Run \'make install\' to install debfetch.

install:
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(MANDIR)/man1
	mkdir -p $(DESTDIR)$(SHAREDIR)/md2term/themes
	cp -p md2term $(DESTDIR)$(PREFIX)/bin/md2term
	cp -p md2term.1 $(DESTDIR)$(MANDIR)/man1
	cp -p ./themes/dark-theme $(DESTDIR)$(SHAREDIR)/md2term/themes

uninstall:
	rm $(DESTDIR)$(PREFIX)/bin/md2term
	rm $(DESTDIR)$(MANDIR)/man1/md2term.1*
	rm -rf $(DESTDIR)$(SHAREDIR)/md2term

=== debian/changelog ===
md2term (0.0.7-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches/:
      - 10_fix-line-break.patch: added to fix line break in title 2.
      - series: sorted in numerical order.

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Thu, 18 Aug 2022 21:11:15 -0300

md2term (0.0.7-1) experimental; urgency=medium

  * Initial release. (Closes: #1009738)

 -- Braulio Henrique Marques Souto <braulio@disroot.org>  Mon, 08 Aug 2022 22:00:17 -0300

=== debian/control ===
Source: md2term
Section: text
Priority: optional
Maintainer: Braulio Henrique Marques Souto <braulio@disroot.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://codeberg.org/blau_araujo/md2term
Vcs-Browser: https://salsa.debian.org/debian/md2term
Vcs-Git: https://salsa.debian.org/debian/md2term.git
Rules-Requires-Root: no

Package: md2term
Architecture: all
Depends: ${misc:Depends},
         less,
         libhtml-parser-perl,
         pandoc
Description: Markdown parser for highlights and colors in terminal
 md2term was created to be a markdown parser for short texts (less than 30
 lines) that could be used in terminal presentations (text slides) and, at
 the same time, able to be correctly visualized by other parsers on websites
 (GitHub, GitLab, etc). The script can also be used satisfactorily for viewing
 other markdown text, provided its limitations are observed.

=== debian/tests/control ===
Test-Command: md2term 2>&1 | egrep -i md2term
Restrictions: superficial

Test-Command: md2term -h 2>&1 | grep help
Restrictions: superficial

Test-Command: export TERM='xterm'; md2term -f debian/locale/en/example.md |
             egrep "LOOK AT THE QUOTE RIGHT THERE"

Test-Command: export TERM='xterm'; md2term -cp -b '-' -i 1 -k 2 -m 0 -t 3
             -f debian/locale/en/example.md |
             egrep "LOOK AT THE QUOTE RIGHT THERE"
